IRPCVaultsAdmin.CopyVault
Administration API / specialized admin session
Copies the specified vault into a new vault (creates the target vault).
| Service | Vault management MFiles.IRPCVaultsAdmin |
|---|---|
| gRPC method | /MFiles.IRPCVaultsAdmin/CopyVault |
| HTTP (mf-http-grpc) | POST /grpc/v1/copy-vault |
| Request | CopyVaultRequest |
| Response | CopyVaultResponse |
| Book and level | Administration API, specialized |
| Kind | admin |
| Session | Required: the session ID from LogIn in the mfiles-session-id-bin metadata. |
| Idempotent | no |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Remarks
- Starts a background job and returns before it completes; follow it with
task_id(see the service overview). - Requires the system administrator server role (server right
manage_vaults). copy_job.optionsselects what is copied;all_datacopies everything.
Request: CopyVaultRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
copy_job | CopyVaultJob | The vault to copy (source_vault), what to copy (options) and the definition of the new vault (target_vault). |
copy_job.source_vault | string | The GUID of the vault to copy. |
copy_job.options | COPYFLAGS | Flags that tell which data parts should be copied. |
copy_job.options.all | bool | Specifies all flags set; Including any future flags. |
copy_job.options.all_data | bool | Copy all data. All other flags are ignored. |
copy_job.options.value_lists | bool | Copy value list definitions. |
copy_job.options.property_definitions | bool | Copy property definitions. |
copy_job.options.object_classes | bool | Copy classes and class groups. |
copy_job.options.user_accounts | bool | Copy users and user groups. |
copy_job.options.views | bool | Copy views. |
copy_job.options.objects | bool | Copy documents and other objects (metadata). |
copy_job.options.value_list_items | bool | Copy value list contents. |
copy_job.options.workflows | bool | Copy workflows. |
copy_job.options.external_locations | bool | Copy connections to external locations. |
copy_job.options.event_log | bool | Copy event log. |
copy_job.options.event_handlers | bool | Copy internal event handlers. |
copy_job.options.translations | bool | Copy languages and translations. |
copy_job.options.exported_data_sets | bool | Copy exported data sets. |
copy_job.options.scheduled_export_import_jobs | bool | Copy scheduled export and import jobs. |
copy_job.options.applications | bool | Copy applications. |
copy_job.options.files | bool | Copy files. |
copy_job.options.use_provided_vault_guid | bool | Use the provided target vault GUID. |
copy_job.target_vault | Vault | The definition of the target vault. The GUID field is ignored. The server will generate a new GUID for the new vault. |
copy_job.target_vault.vault | VaultBasic | Basic data. |
copy_job.target_vault.main_data_folder | string | The main physical folder of this vault on the server (e.g. C:\Program Files\M-Files\Server Vaults\MyVault). |
copy_job.target_vault.additional_data_folders[] | repeated AdditionalFolder | The specification of the additional file data folders. |
copy_job.target_vault.database_info | SQLDatabase | The vault's SQL database. |
copy_job.target_vault.file_data_storage | FileDataStorage | Identifies file data storage to use. Typically specifies that the file data storage is determined automatically.Values: FILE_DATA_STORAGE_DEFAULT (0), FILE_DATA_STORAGE_DISK (1), FILE_DATA_STORAGE_DATABASE (2), FILE_DATA_STORAGE_EXTERNAL (3), FILE_DATA_STORAGE_MASTER (4). |
copy_job.target_vault.file_data_connection_string | string | The connection string that identifies the location, protocol, and credentials for the file data storage of this vault. For example, this might specify a storage account, a protocol, and a container name for Azure's BLOB Services. Can be unset or empty. |
copy_job.attach_vault_options | AttachVaultOptions | Options for controlling the attaching of the vault. |
copy_job.attach_vault_options.disable | ExternalConnectionOptions | Which vault's external data connection points must be put disabled? |
copy_job.attach_vault_options.update_attachment_guid | bool | Specify true if the attachment GUID should be updated. Usually, it is desirable to update the attachment GUID each time the vault is re-attached. |
copy_job.attach_vault_options.fail_attach_if_bring_online_fails | bool | A flag that controls if attaching the vault must fail if its online operations do not start successfully. Typically this is false meaning that starting online operations can fail although attaching the vault succeeds. |
copy_job.attach_vault_options.enforce_file_data_encryption | bool | A flag that controls if file data encryption should be turned on in the vault when it is attached. |
copy_job.attach_vault_options.disable_local_indexes | bool | A flag that controls if the local indexes such as dtSearch are disabled when the vault is attached. |
copy_job.attach_vault_options.allow_only_vault_temp_path_for_content_replication | bool | If true the temporary processing location of cloud replication jobs are cleared and other replication jobs are disabled. |
copy_job.attach_vault_options.ignore_vault_external_data_connection_points | bool | If true vault's external data connection points are ignored when vault is already in msm cluster. |
Response: CopyVaultResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
task_id | int32 | The ID of the server-level scheduled job that copies the vault. |